
------------------------------------------------------------
--# Decorated property for Windows
------------------------------------------------------------

include GtkEngine.e

constant docs = `
____<b><u>Decorated property</u></b>

    Setting window 'Decorated' to FALSE
    gets rid of the titlebar, which might
    be good for splash windows, etc.
    <span color='red'>
    <b><u>Just remember to leave a way out!</u></b>
    </span>`

constant win = create(GtkWindow,"size=300x300,position=1,border_width=10,decorated=FALSE,$destroy=Quit")

constant panel = create(GtkBox,"orientation=VERTICAL")
    add(win,panel)

constant lbl = create(GtkLabel)
    set(lbl,"markup",docs)
    add(panel,lbl)

constant arrow = create(GtkArrow,GTK_ARROW_DOWN)
    set(arrow,{
    {"color","red"},
    {"size request",100,100}})
    add(panel,arrow)

constant btnbox = create(GtkButtonBox)
    pack(panel,-btnbox)

constant btn1 = create(GtkButton,"gtk-quit","Quit")
    add(btnbox,{btn1})

show_all(win)
main()


